{

   This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit Uexistmsg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  Tfrmexistmsg = class(TForm)
    Label1: TLabel;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    button1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmexistmsg: Tfrmexistmsg;

implementation

uses Uconfig, Ufrmworkbase;

{$R *.dfm}

procedure Tfrmexistmsg.Button1Click(Sender: TObject);
begin
  if RadioButton3.Checked then
    config.c_existmethod:=0
  else if RadioButton1.Checked then
    config.c_existmethod:=1
  else if RadioButton2.Checked then
    config.c_existmethod:=2;

  existnoanswer:=self.CheckBox1.Checked;
end;

procedure Tfrmexistmsg.FormCreate(Sender: TObject);
begin
  case config.c_existmethod of
    0: RadioButton3.Checked:=true;
    1: RadioButton1.Checked:=true;
    else
      RadioButton2.Checked:=true;
  end;
  CheckBox1.Checked:=config.c_existnoanswer;
end;

end.
